# cfxdm - dm:describe

**dm:describe:** This cfxdm tag allows the user to select one or more columns and provides below summarized statistics on the values within them.

* **count:** Total count of the values within a column
* **unique:** Total unique count of the values within a column
* **top:** The top value out of all unique values which is repeated compared to others
* **freq:** The number of times the top unique is repeated
* **mean:** The mean out of all of the values (applies to rows that only has numeric values)
* **std:** The standard deviation out of all of the values (applies to rows that only has numeric values)
* **min:** The minimum value out of all of the values (applies to rows that only has numeric values)
* **25%:** 25% percentile out of all of the values (applies to rows that only has numeric values)
* **50%:** 50% percentile out of all of the values (applies to rows that only has numeric values)
* **75%:** 75% percentile out of all of the values (applies to rows that only has numeric values)
* **max:** The maximum value out of all of the values (applies to rows that only has numeric values)

**dm:describe** synta&#x78;**:**&#x20;

* **columns (**&#x6F;ptiona&#x6C;**)**. Specify a column or columns (comma separated) on which '**describe**' to be applied.

In the below example, for a reference, we are going to use **VMware vROps** as an extension to query the data and ingest it into **dm:selectcolumns** to select specific columns using include/exclude or both together.

Enter the below command to select **VMware vROps Alerts tag (@vrops:alerts**). (In this example, vrops name is used as a label to identify VMware vROps extension and it's tags. The label is defined while adding the extension in cfxdx configuration file or through UI)

```
tag @vrops:alerts
```

![](/files/-MVi2SEZYVnklETBKvgq)

**Example 1:** Show describe statistics on all of the columns from the selected tag.

Get the data from VMware vROps Alerts tag (**@vrops:alerts**) and ingest the data into the **dm:describe** tag to see the statistics. (above mentioned in this document). Below are the columns from the **vrops:alerts** extension ta&#x67;**.**

* alertDefinitionId
* alertDefinitionName
* alertId
* alertImpact
* alertLevel
* cancelTimeUTC
* controlState
* links
* resourceId
* startTimeUTC
* status
* subType
* suspendUntilTimeUTC
* type
* updateTimeUTC

```
data --> dm:describe
```

![](/files/-MViuIBUmtQtq4C8FXB8)

**Example 2:** Show describe statistics on selective columns from the selected tag.

Get the data from VMware vROps Alerts tag (**@vrops:alerts**) and ingest the data into the **dm:describe** tag to see the statistics on the below selected columns. (above mentioned in this document)

* alertDefinitionName
* startTimeUTC

```
data --> dm:describe columns = 'alertDefinitionName,startTimeUTC'
```

![](/files/-MVj03Ku-llBEKPePVDI)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-data-management-cfxdm/cfxdm-dm-describe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
